
/* Mouse */
.stiDesignerDateControl_Mouse {    
    border: 1px solid @MobileDesignerControlsBorderColor;    
    color: @MobileDesignerFontColor;
	background: @MobileDesignerControlsBackgroundColor;
}

.stiDesignerDateControlOver_Mouse {
    border: 1px solid @MobileDesignerControlsOverBorderColor; 
    color: @MobileDesignerFontColor;
	background: @MobileDesignerControlsBackgroundColor;
}

.stiDesignerDateControlDisabled_Mouse {    
    border: 1px solid @MobileDesignerControlsDisabledBorderColor;
	background: @MobileDesignerControlsBackgroundColor;
}

/* Touch */
.stiDesignerDateControl_Touch {    
    border: 1px solid @MobileDesignerControlsBorderColor;    
    color: @MobileDesignerFontColor;
	background: @MobileDesignerControlsBackgroundColor;
}

.stiDesignerDateControlOver_Touch {    
    border: 1px solid @MobileDesignerControlsOverBorderColor;
	color: @MobileDesignerFontColor;
	background: @MobileDesignerControlsBackgroundColor;   
}

.stiDesignerDateControlDisabled_Touch {    
    border: 1px solid @MobileDesignerControlsDisabledBorderColor;    
	background: @MobileDesignerControlsBackgroundColor;
}

/* Mouse */
.stiDesignerDateControl_TextBox_Mouse {    
    font-size: 12px;
    height: 21px;	
    border: 0px;    
    margin: 0px;
    padding: 0px 0px 0px 4px;
    font-family: Arial;
    -webkit-border-radius: 0px;
    outline: none;
    background-image: -webkit-gradient(linear, 0% 0%, 0% 100%, from(hsla(0,0%,100%,0)), to(hsla(0,0%,100%,0)));
    background-image: -webkit-linear-gradient(hsla(0,0%,100%,0), hsla(0,0%,100%,0));
    background: @MobileDesignerControlsBackgroundColor;
    color: @MobileDesignerFontColor;
}

/* Touch */
.stiDesignerDateControl_TextBox_Touch {    
    font-size: 12px;
    height: 26px;
    border: 0px;   
    margin: 0px;
    padding: 0px 0px 0px 4px;
    font-family: Arial;
    -webkit-border-radius: 0px;
    outline: none;
    background-image: -webkit-gradient(linear, 0% 0%, 0% 100%, from(hsla(0,0%,100%,0)), to(hsla(0,0%,100%,0)));
    background-image: -webkit-linear-gradient(hsla(0,0%,100%,0), hsla(0,0%,100%,0));
    background: @MobileDesignerControlsBackgroundColor;
    color: @MobileDesignerFontColor;
}

/* Mouse */
.stiDesignerDateControlDropDownListButton_Mouse {
    height: 21px;
    color: @MobileDesignerFontColor;
    cursor: default;
    background: @MobileDesignerControlsBackgroundColor;
    -moz-user-select: none;
    -khtml-user-select: none;
    -webkit-user-select: none;
}

.stiDesignerDateControlDropDownListButtonOver_Mouse {
    height: 21px;
    color: @MobileDesignerFontColor;
    cursor: default;
    background: @MobileDesignerButtonOverBackgroundColor;
    -moz-user-select: none;
    -khtml-user-select: none;
    -webkit-user-select: none;
}

.stiDesignerDateControlDropDownListButtonSelected_Mouse {
    height: 21px;
    color: @MobileDesignerFontColor;
    cursor: default;
    background: @MobileDesignerButtonSelectedBackgroundColor;
    -moz-user-select: none;
    -khtml-user-select: none;
    -webkit-user-select: none;
}

.stiDesignerDateControlDropDownListButtonDisabled_Mouse {
    height: 21px;
    color: @MobileDesignerFontColor;
    cursor: default;
    color: @MobileDesignerFontDisabledColor;
    background: @MobileDesignerControlsBackgroundColor;
    -moz-user-select: none;
    -khtml-user-select: none;
    -webkit-user-select: none;
}

/* Touch */
.stiDesignerDateControlDropDownListButton_Touch {
    height: 26px;
    color: @MobileDesignerFontColor;
    cursor: default;
    background: @MobileDesignerControlsBackgroundColor;
    -moz-user-select: none;
    -khtml-user-select: none;
    -webkit-user-select: none;
}

.stiDesignerDateControlDropDownListButtonOver_Touch {
    height: 26px;
    color: @MobileDesignerFontColor;
    cursor: default;
    background: @MobileDesignerButtonOverBackgroundColor;
    -moz-user-select: none;
    -khtml-user-select: none;
    -webkit-user-select: none;
}

.stiDesignerDateControlDropDownListButtonSelected_Touch {
    height: 26px;
    color: @MobileDesignerFontColor;
    cursor: default;
    background: @MobileDesignerButtonSelectedBackgroundColor;
    -moz-user-select: none;
    -khtml-user-select: none;
    -webkit-user-select: none;
}

.stiDesignerDateControlDropDownListButtonDisabled_Touch {
    height: 26px;
    color: @MobileDesignerFontColor;
    cursor: default;
    color: @MobileDesignerFontDisabledColor;
    background: @MobileDesignerControlsBackgroundColor;
    -moz-user-select: none;
    -khtml-user-select: none;
    -webkit-user-select: none;
}